#pragma once 

#include "SnowAvalancheSim.h"
#include "clParticles.h"

class Camera;
class Picture;

class Scene
{
public:
    void preCalc();
    void openGL(Camera *cam);

	int windowHeight() { return m_windowHeight; }
	int windowWidth() { return m_windowWidth; }
	void resizeWindow(int w, int h) { m_windowHeight = h; m_windowWidth = w; }

protected:
	GLuint m_program;
	float m_fHalfViewRadianFactor;

	int m_windowHeight;
	int m_windowWidth;
};

extern Scene * g_scene;
