#pragma once

class SimWindow
{
public:
    SimWindow(int * argc, char* argv[]);
    
    void mainLoop();
    
    // GLUT Event handlers
    void display();
	void idle();
    void reshape(int x, int y);
    void keyboard(unsigned char key, int x, int y);
    void mouse(int btn, int state, int x, int y);
    void motion(int x, int y);

protected:
    float m_scaleFact;
    int   m_activeButton;
    int   m_mouseX, m_mouseY;
};