#pragma once 

#define RAND ((float)rand()/RAND_MAX)
#define GRID_SIZE 64
#define TIME_STEP 0.000004f 

const float PI = 3.1415926535f;
const float DegToRad = PI/180.0f;
const float RadToDeg = 180.0f/PI;

const float particleRadius = 0.011f;
const int numParticles = 32768;

#include <cstdlib>
#include "OpenGL.h"
#include <cstdio>
#include <string>
#include <iostream>
#include <fstream>

#include <CL/cl.hpp>

class Camera;
class Scene;
class clAdmin;
class clParticles;
class clSort;

extern Camera* g_camera;
extern Scene* g_scene;
extern clParticles* g_psystem;
extern clAdmin* g_clAdmin;
