#include "clAdmin.h"

using namespace cl;

clAdmin* g_clAdmin = 0;

clAdmin::clAdmin(void)
{
	startup();
}

clAdmin::~clAdmin(void)
{
}


void
clAdmin::startup() {
	vector<Platform> platforms;
	Platform::get(&platforms);
	m_clPlatform = platforms[0];

	cl_context_properties cps[7] = { 
		CL_CONTEXT_PLATFORM, (cl_context_properties)(m_clPlatform)(), 
		CL_GL_CONTEXT_KHR, (cl_context_properties)wglGetCurrentContext(),
		CL_WGL_HDC_KHR, (cl_context_properties)wglGetCurrentDC(),
		0 
	};

	m_clContext = Context(CL_DEVICE_TYPE_GPU, cps);

	m_clDevices = m_clContext.getInfo<CL_CONTEXT_DEVICES>();

	m_clCommandQueue = CommandQueue(m_clContext, m_clDevices[0]);
}

void
clAdmin::shutdown() {

}
